package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TWasteBarrelmonthMapper;
import com.ruoyi.project.ehs.domain.TWasteBarrelmonth;
import com.ruoyi.project.ehs.service.ITWasteBarrelmonthService;

/**
 * 废桶进出库统计日报Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-08
 */
@Service
public class TWasteBarrelmonthServiceImpl implements ITWasteBarrelmonthService
{
    @Autowired
    private TWasteBarrelmonthMapper tWasteBarrelmonthMapper;

    /**
     * 查询废桶进出库统计日报
     *
     * @param id 废桶进出库统计日报ID
     * @return 废桶进出库统计日报
     */
    @Override
    public TWasteBarrelmonth selectTWasteBarrelmonthById(Long id)
    {
        return tWasteBarrelmonthMapper.selectTWasteBarrelmonthById(id);
    }

    /**
     * 查询废桶进出库统计日报列表
     *
     * @param tWasteBarrelmonth 废桶进出库统计日报
     * @return 废桶进出库统计日报
     */
    @Override
    public List<TWasteBarrelmonth> selectTWasteBarrelmonthList(TWasteBarrelmonth tWasteBarrelmonth)
    {
        return tWasteBarrelmonthMapper.selectTWasteBarrelmonthList(tWasteBarrelmonth);
    }

    /**
     * 新增废桶进出库统计日报
     *
     * @param tWasteBarrelmonth 废桶进出库统计日报
     * @return 结果
     */
    @Override
    public int insertTWasteBarrelmonth(TWasteBarrelmonth tWasteBarrelmonth)
    {
        return tWasteBarrelmonthMapper.insertTWasteBarrelmonth(tWasteBarrelmonth);
    }

    /**
     * 修改废桶进出库统计日报
     *
     * @param tWasteBarrelmonth 废桶进出库统计日报
     * @return 结果
     */
    @Override
    public int updateTWasteBarrelmonth(TWasteBarrelmonth tWasteBarrelmonth)
    {
        return tWasteBarrelmonthMapper.updateTWasteBarrelmonth(tWasteBarrelmonth);
    }

    /**
     * 批量删除废桶进出库统计日报
     *
     * @param ids 需要删除的废桶进出库统计日报ID
     * @return 结果
     */
    @Override
    public int deleteTWasteBarrelmonthByIds(Long[] ids)
    {
        return tWasteBarrelmonthMapper.deleteTWasteBarrelmonthByIds(ids);
    }

    /**
     * 删除废桶进出库统计日报信息
     *
     * @param id 废桶进出库统计日报ID
     * @return 结果
     */
    @Override
    public int deleteTWasteBarrelmonthById(Long id)
    {
        return tWasteBarrelmonthMapper.deleteTWasteBarrelmonthById(id);
    }
}
